lucene-solr-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Chris Hostetter <hossman_luc...@fucit.org>
Subject Re: Java 9
Date Mon, 06 Nov 2017 23:07:28 GMT


: Anyone else been noticing this this msg when starting up solr with java 9? (This is just
an FYI and not a real question)

: Java HotSpot(TM) 64-Bit Server VM warning: Option UseConcMarkSweepGC was deprecated in version
9.0 and will likely be removed in a future release.
: Java HotSpot(TM) 64-Bit Server VM warning: Option UseParNewGC was deprecated in version
9.0 and will likely be removed in a future release.

IIRC the default GC_TUNE options for Solr still assume java8, but also 
work fine with java9 -- although they do cause those deprecation warnings 
and result in using the JVM defaults

You are free to customize this in your solr.in.sh if you are running java9 and 
don't like the deprecation warnings ... and/or open a Jira w/suggestions 
for what Solr's default GC_TUNE option should be when running in java9 (i 
don't know if there is any community concensus on that yet -- but you're 
welcome to try and build some)


-Hoss
http://www.lucidworks.com/

Mime
View raw message